<template>
  <nuxt-child></nuxt-child>
</template>

<script lang="ts">
  import { Component, Vue } from 'nuxt-property-decorator';

  @Component
  export default class Locale extends Vue {
    fetch({ route, redirect, store, app }) {
      store.commit('setLocale', route.params.locale);

      if (route.path === '/') {
        redirect(app.localeRoute({ name: 'drag-modals' }));
      }
    }
  }
</script>
